/*
 *    Copyright (c) Yaron Keren 1994-1996. All rights reserved.
 */
#include "file_23.h"
#include "file_7.h"
#include <stdio.h>
enum l_118 { l_119, l_120, l_121, l_122, l_123, l_124,
l_125, l_126,
l_127, l_128 };
void l_129(void* l_130);
void l_131(void* l_130);
void l_132(void* l_130);
int fread(double& v, FILE* l_133, l_118 type, int l_27);
int fwrite(double& v, FILE* l_133, l_118 type, int l_27);
M fcloseM(M l_133);
M feofM(M l_133);
M ferrorM(M l_133, M clear=zero_M);
M ferrorM(M l_133, i_o_t, Mr l_134, Mr l_135);
M ferrorM(M l_133, M clear, i_o_t, Mr l_134, Mr l_135);
M fopenM(M filename, M l_136="r", M l_137="n");
M fopenM(M filename, i_o_t, Mr l_133, Mr l_134);
M fopenM(M filename, M l_136, i_o_t, Mr l_133, Mr l_134);
M fopenM(M filename, M l_136, M l_137, i_o_t, Mr l_133, Mr l_134);
M fprintfM(M l_138);
M fprintfM(M l_133, M format, M a=l_M, M l_33=l_M, M c=l_M, M d=l_M, M l_1=l_M, M f=l_M);
M printfM(M format, M a=l_M, M l_33=l_M, M c=l_M, M d=l_M, M l_1=l_M, M f=l_M);
M fread(M l_133, M size=Inf, M precision="\165c\150ar", M skip=zero_M);
M fread(M l_133, i_o_t, Mr l_139, Mr l_140);
M fread(M l_133, M size, i_o_t, Mr l_139, Mr l_140);
M fread(M l_133, M size, M precision, i_o_t, Mr l_139, Mr l_140);
M fread(M l_133, M size, M precision, M skip, i_o_t, Mr l_139, Mr l_140);
M frewind(M l_133);
M fscanfM(M l_133, M format);
M fscanfM(M l_133, M format, M size);
M fscanfM(M l_133, M format, i_o_t, Mr l_139, Mr l_140);
M fscanfM(M l_133, M format, M size, i_o_t, Mr l_139, Mr l_140);
M fscanfM(M l_133, M format, M size, i_o_t, Mr l_139, Mr l_140, Mr l_141);
M fseek(M l_133, M offset, M l_142);
M ftell(M l_133);
M fwrite(M l_133, M l_139, M precision="\165c\150ar", M skip=zero_M);
